## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname extension_helpers
%global pkgname extension-helpers

%bcond_with doc

Name:           python-extension-helpers
Version:        1.2.0
Release:        %autorelease
Summary:        A build time package to simplify C/Cython extensions

License:        BSD-3-Clause
URL:            https://pypi.python.org/pypi/extension-helpers
Source0:        %{pypi_source %srcname}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  gcc

%global _description %{expand:
The extension-helpers package includes convenience helpers to assist with
building Python packages with compiled C/Cython extensions. It is developed
by the Astropy project but is intended to be general and usable by any
Python package.

This is not a traditional package in the sense that it is not intended to be
installed directly by users or developers. Instead, it is meant to be accessed
when the setup.py command is run and should be defined as a build-time
dependency in pyproject.toml files.}

%description %_description

%package -n python3-%{pkgname}
Summary: %{summary}

# Fix for an accidental name change
# The Obsoletes can be removed when Rawhide is F44
Obsoletes: python3-extension_helpers < 1.2.0-2


%description -n python3-%{pkgname} %_description


%if %{with doc}
%package doc
Summary:        Documentation for %{pkgname}
BuildRequires:  python3dist(sphinx)

%description doc %_description
%endif

%prep
%autosetup -n %{srcname}-%{version}
sed -i -e 's|312|312,313|' tox.ini

%generate_buildrequires
%pyproject_buildrequires -t -x test 

%build
%pyproject_wheel


%install
%pyproject_install

%if %{with doc}
pushd docs
PYTHONPATH=.. make html
rm -f _build/html/.buildinfo
popd
%endif

%pyproject_save_files %{srcname}


%check
%tox

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE.rst licenses/LICENSE_ASTROSCRAPPY.rst
%doc README.rst

%if %{with doc}
%files doc
%license LICENSE.rst licenses/LICENSE_ASTROSCRAPPY.rst
%doc README.rst docs/_build/html
%endif

%changelog
## START: Generated by rpmautospec
* Tue Nov 26 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 1.2.0-3
- Add obsoletes to clear the upgrade path

* Tue Nov 26 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 1.2.0-2
- Fix incorrect name of the package

* Mon Nov 25 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 1.2.0-1
- Update to upstream release 1.2.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.1.1-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 02 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 1.1.1-1
- New release 1.1.1

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.0.0-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Aug 14 2022 Mattia Verga <mattia.verga@proton.me> - 1.0.0-1
- Update to 1.0.0
- fix Python provides (fedora#2048089)
- switch to modern Python build macros

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.1-7
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.1-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 17 2020 Christian Dersch <lupinix@fedoraproject.org> - 0.1-1
- Initial package (review: RHBZ #1858376)

## END: Generated by rpmautospec
